Download it now!
Bug 64984 - EDITING: Creating table with GUI - table could not be saved
Summary: EDITING: Creating table with GUI - table could not be saved
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.1.0.0.beta1
Hardware: Other Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0.0.beta2
Keywords: bibisected, regression
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-05-25 17:31 UTC by Robert Großkopf
Modified: 2015-12-17 07:14 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bibisect log (2.79 KB, text/plain)
2013-05-27 12:24 UTC, Jorendc
Details
in-branch bisect, 1 commit range (1.67 KB, text/plain)
2013-05-27 18:03 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2013-05-25 17:31:04 UTC
Version is not right. I have tested with 4.1.0.0.beta1.
Create a new database.
Create a table.
Try to save the table.
The table couldn't be saved by the button or by File → Save.

Create a table in the SQL-Mode:
CREATE TABLE "Test" ("ID" INT PRIMARY KEY, "Text" VARCHAR(50));
The table could be crated, will be shown after View → Refresh Tables.
You could edit this table, also could add another field - it works.

My sytem is OpenSUSE 12.3 32bit rpm.
This bug has been confirmed in the mailinglist discuss@de.libreoffice.org with Debian 64bit. So I set the bug to "New".
Comment 1 Thomas Hackert 2013-05-26 08:03:14 UTC
Hello Robert, *,
I have switched the version field to 4.1.0.0.beta1 :) Was it not available, when you opened this bug ;? And I set it to regression, as it was possible in 4.0.3. If I am wrong here, feel free to change it back ... ;)

As I have found the bug first and reported it to the Germanophone discuss list, I want to confirm Robert's observation ... :( I have tested it in two ways:
1. "File - New - Database"
2. Click through the Database Wizard until you can finish it.
3. Give it a name (and change the path to save it, if you want ... ;) ).
4. Choose either to create a table in design mode or with the help of the wizard (it does not matter, which one you choose)
5. For simplicity's sake, choose to create it in design mode
6. Enter "Name", "Address" and "City" (or whatever you want ... ;) ) in the field names column.
7. Either click on the save icon or choose "File - Save" or press <CTRL>+<S>.
8. Confirm to create a primary key (here I was missing the possibility to save the table ... :( ).
9. Click on the save icon again or use <CRTL>+<S>. Nothing happens ... :( 

You could also try to close it via <ALT>+<F4>. You get the dialog, that the file was changed and if you want to save it. If you confirm to save it, nothing happens ... :(

Expected behaviour:
LO should ask for a name for the table and save it.

Confirmed with
OS: Debian Testing AMD64
LO  Parallel installed Version: 4.1.0.0.beta1
Build ID: 3a2c2d2417101e45fe07cfd8358acf2204a98f3 (with LO Version 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539) it is possible to create a table)
Java (if this is important): java version "1.6.0_27"
OpenJDK Runtime Environment (IcedTea6 1.12.5) (6b27-1.12.5-1)
OpenJDK 64-Bit Server VM (build 20.0-b12, mixed mode)

Sorry for the inconvenience and have a nice day
Thomas.
Comment 4 Jorendc 2013-05-27 18:03:15 UTC
Created attachment 79859 [details]
in-branch bisect, 1 commit range
Comment 5 Jorendc 2013-05-27 18:13:55 UTC
@Stephan: a conversion related to bug 46808 result in this behavior. This might be interesting for you too (see Comment 3)
Comment 7 Jochen 2013-05-28 06:24:48 UTC
Hi Robert,

(In reply to comment #6)
> @Jorendc, this was fixed in 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=3abe867790a1a896e30e9887546aef8b9e651b53

can you confirm this?
Comment 8 Michael Meeks 2013-05-28 12:31:31 UTC
Robert - any chance you can try with a recent snapshot build with this fix from:

http://dev-builds.libreoffice.org/daily/libreoffice-4-1/ ?

Thanks :-)
Comment 9 Robert Großkopf 2013-05-28 16:30:52 UTC
(In reply to comment #8)
> Robert - any chance you can try with a recent snapshot build with this fix
> from:
> 
> http://dev-builds.libreoffice.org/daily/libreoffice-4-1/ ?
> 
> Thanks :-)

Hi Michael,
there are only 64-bit packages for Linux available. i don't have any 64-bit-system available here.

I have had a look at the daily builds. Why is the main-packages nearly 1 GB?

@Thomas - could you please test it with your system?
Comment 10 Jorendc 2013-05-29 23:30:02 UTC
Hi,

I still can reproduce this behavior using Windows 7 x64 with LibreOffice Version: 4.1.0.0.beta1+ Build ID: d24df4c708b8eb8dc3689fa72cbfc4e02e97f6b (downloaded here: http://dev-builds.libreoffice.org/daily/libreoffice-4-1/Win-x86@6/2013-05-29_17.52.20/)

which is following cgit a build of 2013-05-29 15:39:35 (http://cgit.freedesktop.org/libreoffice/core/commit/?id=d24df4c708b8eb8dc3689fa72cbfc4e02e97f6b1)

(In reply to comment #6)
> @Jorendc, this was fixed in 
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=3abe867790a1a896e30e9887546aef8b9e651b53
That's a patch of 2013-05-14 07:12:06

I have a master build (4.2.0.0) on my Linux Mint 15 x64 too, and I still can reproduce it. My pull date is: Mon May 27 19:56:26 2013 +0100. 

@Noel: Are you able to reproduce this behavior too?

Thanks in advance,
Joren
Comment 11 Noel Grandin 2013-05-30 09:05:29 UTC
This should be fixed in master now, in commit:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73a809cba87eefbb495c5ba53f89b48d671f8230
Comment 12 Jorendc 2013-05-30 09:12:42 UTC
(In reply to comment #11)
> This should be fixed in master now, in commit:
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=73a809cba87eefbb495c5ba53f89b48d671f8230

Wow, that's a quickie :D.

I applied that patch to my master build (Linux Mint 15 x64), and I can confirm this fix mentioned behavior. Thanks for that Noel!
Comment 13 Commit Notification 2013-05-30 11:14:27 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf51a0b97c63801654c3052c36f9408873c5ad36&h=libreoffice-4-1

fdo#64984 - EDITING: Creating table with GUI - table could not be saved


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Robinson Tryon (qubit) 2015-12-17 07:14:49 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]